## org.eclipse.emf.ecore.resource.impl
Class BinaryResourceImpl.EObjectInputStream.EPackageData

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.EObjectInputStream.EPackageData

Enclosing class:
  BinaryResourceImpl.EObjectInputStream

    protected static class BinaryResourceImpl.EObjectInputStream.EPackageData

extends java.lang.Object

Field Summary
`BinaryResourceImpl.EObjectInputStream.EClassData[]` `eClassData`
`EPackage` `ePackage`

Constructor Summary
`protected` `BinaryResourceImpl.EObjectInputStream.EPackageData()`

Method Summary
`int` `allocateEClassID()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ePackage

    public EPackage ePackage

### eClassData

    public BinaryResourceImpl.EObjectInputStream.EClassData[] eClassData

Constructor Detail

### BinaryResourceImpl.EObjectInputStream.EPackageData

    protected BinaryResourceImpl.EObjectInputStream.EPackageData()

Method Detail

### allocateEClassID

    public final int allocateEClassID()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.